/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included  with this distribution in
 * the LICENSE.txt file.
 */
package org.apache.avalon.excalibur.logger;

import org.apache.avalon.framework.configuration.Configuration;
import org.apache.avalon.framework.configuration.ConfigurationException;

import org.apache.log.LogTarget;

/**
 * LogTargetFactory Interface.
 *
 * @author <a href="mailto:giacomo@apache,org">Giacomo Pati</a>
 * @version CVS $Revision: 1.2 $ $Date: 2001/12/11 09:53:29 $
 * @since 4.0
 */
public interface LogTargetFactory
{
    /**
     * Create a LogTarget based on a Configuration
     */
    LogTarget createTarget( Configuration configuration ) throws ConfigurationException;
}
